//
//  NSColorAdditions.m
//  PurpleRain
//

#import "NSColorAdditions.h"


@implementation NSColor (PR)

// utility category method on NSColor for creating a copy that is lighter or darker
- (NSColor *)changeBy:(CGFloat)value
{
	NSColor *c = nil;
	if ([[self colorSpaceName] isEqualToString:NSCalibratedRGBColorSpace])
		c = self;
	else
		c = [self colorUsingColorSpaceName:NSCalibratedRGBColorSpace];
	CGFloat comps[4];
	bzero(comps, sizeof(comps));
	[c getComponents:comps];
	return [NSColor colorWithCalibratedRed:comps[0]-value green:comps[1]-value blue:comps[2]-value alpha:comps[3]];
}

@end
